Index: src/other/step/data/CMakeLists.txt
===================================================================
--- src/other/step/data/CMakeLists.txt	(revision 54114)
+++ src/other/step/data/CMakeLists.txt	(working copy)
@@ -1,11 +1,11 @@
 
 #this sets a property so that the target doesn't get built by 'make' or 'make all'
 #useful when testing generation of schema code/compiling schem libs/etc
-FUNCTION( TESTABLE_TARGET target )
+function( TESTABLE_TARGET target )
     if(ENABLE_TESTING)
         set_target_properties( ${target} PROPERTIES EXCLUDE_FROM_ALL ON )
     endif()
-ENDFUNCTION( TESTABLE_TARGET )
+endfunction( TESTABLE_TARGET )
 
 # To build one or more schemas, configure with 
 # 'cmake -DSCL_BUILD_SCHEMAS="path/to/schema.exp;path/to/schema2.exp"
@@ -13,7 +13,7 @@
 # This function runs fedex on one express file. The generated source goes in a dir 
 # in the build dir, and it is compiled into a library. A p21read executable is 
 # compiled and linked to the lib. p21read is used to test the lib.
-FUNCTION(BUILD_A_SCHEMA SCHEMA_FILE)
+function(BUILD_A_SCHEMA SCHEMA_FILE)
     if( EXISTS "${CMAKE_BINARY_DIR}/${SCHEMA_FILE}" )  #try absolute path. if that fails, must already be absolute.
         set( SCHEMA_FILE "${CMAKE_BINARY_DIR}/${SCHEMA_FILE}" )
     else()
@@ -68,7 +68,7 @@
     add_dependencies( ${PROJECT_NAME} generate_cpp_${SCHEMA_SHORT_NAME} )
     set_target_properties( ${PROJECT_NAME} PROPERTIES COMPILE_FLAGS
                            ${${PROJECT_NAME}_COMPILE_FLAGS} )
-    TESTABLE_TARGET( ${PROJECT_NAME} )
+    testable_target( ${PROJECT_NAME} )
 
     add_test( NAME generate_cpp_${SCHEMA_SHORT_NAME}
               WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
@@ -85,11 +85,11 @@
     set_tests_properties( generate_cpp_${SCHEMA_SHORT_NAME} PROPERTIES LABELS cpp_schema_gen )
     set_tests_properties( build_cpp_${PROJECT_NAME} PROPERTIES DEPENDS generate_cpp_${SCHEMA_SHORT_NAME} LABELS cpp_schema_build )
 
-    SCL_ADDEXEC( p21read_${PROJECT_NAME} "${SCL_SOURCE_DIR}/src/test/p21read/p21read.cc" "${PROJECT_NAME};base" )
+    scl_addexec( p21read_${PROJECT_NAME} "${SCL_SOURCE_DIR}/src/test/p21read/p21read.cc" "${PROJECT_NAME};base" )
     add_dependencies( p21read_${PROJECT_NAME} version_string )
     set_target_properties( p21read_${PROJECT_NAME} PROPERTIES COMPILE_FLAGS
                            ${${PROJECT_NAME}_COMPILE_FLAGS} )
-    TESTABLE_TARGET( p21read_${PROJECT_NAME} )
+    testable_target( p21read_${PROJECT_NAME} )
 
     #find all part 21 files in schema dir, add a test for each one
     get_filename_component( SCHEMA_DIR ${SCHEMA_FILE} PATH )
@@ -102,13 +102,13 @@
         set_tests_properties( read_write_cpp_${SCHEMA_SHORT_NAME}_${FNAME} PROPERTIES DEPENDS build_cpp_${PROJECT_NAME} LABELS cpp_schema_rw )
     endforeach()
 
-ENDFUNCTION(BUILD_A_SCHEMA)
+endfunction(BUILD_A_SCHEMA)
 
 if( DEFINED SCL_BUILD_SCHEMAS )
     if( SCL_BUILD_SCHEMAS STREQUAL "ALL" )
         file( GLOB_RECURSE SCL_BUILD_SCHEMAS ${SCL_SOURCE_DIR}/data/*.exp )
     endif()
     foreach( ap ${SCL_BUILD_SCHEMAS} )
-        BUILD_A_SCHEMA( ${ap} )
+        build_a_schema( ${ap} )
     endforeach()
 endif()
Index: src/other/step/CMakeLists.txt
===================================================================
--- src/other/step/CMakeLists.txt	(revision 54114)
+++ src/other/step/CMakeLists.txt	(working copy)
@@ -38,96 +38,96 @@
 # This file contains the top level CMakeLists.txt logic for the 
 # SCL software package.
 
-PROJECT(SCL)
+project(SCL)
 
 # SCL version
-SET(SCL_VERSION_MAJOR 0)
-SET(SCL_VERSION_MINOR 5-dev)
-SET(SCL_VERSION ${SCL_VERSION_MAJOR}.${SCL_VERSION_MINOR})
+set(SCL_VERSION_MAJOR 0)
+set(SCL_VERSION_MINOR 5-dev)
+set(SCL_VERSION ${SCL_VERSION_MAJOR}.${SCL_VERSION_MINOR})
 
 # SCL ABI version. SCL_ABI_SOVERSION should be incremented
 # for each release introducing API incompatibilities
-SET(SCL_ABI_SOVERSION 2)
-SET(SCL_ABI_VERSION ${SCL_ABI_SOVERSION}.0.0)
+set(SCL_ABI_SOVERSION 2)
+set(SCL_ABI_VERSION ${SCL_ABI_SOVERSION}.0.0)
 
 # Minimum required version of CMake
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
-IF(COMMAND CMAKE_POLICY)
-  CMAKE_POLICY(SET CMP0003 NEW)
-ENDIF(COMMAND CMAKE_POLICY)
+cmake_minimum_required(VERSION 2.8)
+if(COMMAND CMAKE_POLICY)
+  cmake_policy(SET CMP0003 NEW)
+endif(COMMAND CMAKE_POLICY)
 
-IF( NOT DEFINED SCL_BUILD_TYPE )
-  SET( SCL_BUILD_TYPE "Debug" CACHE STRING "Build type" ) # By default set debug build
-ENDIF( NOT DEFINED SCL_BUILD_TYPE )
-SET(CMAKE_BUILD_TYPE ${SCL_BUILD_TYPE} CACHE INTERNAL "Build type, immutable" FORCE )
+if( NOT DEFINED SCL_BUILD_TYPE )
+  set( SCL_BUILD_TYPE "Debug" CACHE STRING "Build type" ) # By default set debug build
+endif( NOT DEFINED SCL_BUILD_TYPE )
+set(CMAKE_BUILD_TYPE ${SCL_BUILD_TYPE} CACHE INTERNAL "Build type, immutable" FORCE )
 
 # Define helper macro OPTION_WITH_DEFAULT
-MACRO( OPTION_WITH_DEFAULT OPTION_NAME OPTION_STRING OPTION_DEFAULT )
-  IF( NOT DEFINED ${OPTION_NAME} )
-    SET( ${OPTION_NAME} ${OPTION_DEFAULT} )
-  ENDIF( NOT DEFINED ${OPTION_NAME} )
-  OPTION( ${OPTION_NAME} "${OPTION_STRING}" ${${OPTION_NAME}} )
-ENDMACRO( OPTION_WITH_DEFAULT OPTION_NAME OPTION_STRING OPTION_DEFAULT )
+macro( OPTION_WITH_DEFAULT OPTION_NAME OPTION_STRING OPTION_DEFAULT )
+  if( NOT DEFINED ${OPTION_NAME} )
+    set( ${OPTION_NAME} ${OPTION_DEFAULT} )
+  endif( NOT DEFINED ${OPTION_NAME} )
+  option( ${OPTION_NAME} "${OPTION_STRING}" ${${OPTION_NAME}} )
+endmacro( OPTION_WITH_DEFAULT OPTION_NAME OPTION_STRING OPTION_DEFAULT )
 
 # build shared libs by default
-OPTION_WITH_DEFAULT(SCL_BUILD_SHARED_LIBS "Build shared libs" ON )
+option_with_default(SCL_BUILD_SHARED_LIBS "Build shared libs" ON )
 
 # build static libs by default
-OPTION_WITH_DEFAULT(SCL_BUILD_STATIC_LIBS "Build static libs" OFF)
+option_with_default(SCL_BUILD_STATIC_LIBS "Build static libs" OFF)
 
-OPTION_WITH_DEFAULT(SCL_PYTHON_GENERATOR "Compile fedex_plus_python" ON)
-OPTION_WITH_DEFAULT(SCL_CPP_GENERATOR "Compile fedex_plus" ON)
+option_with_default(SCL_PYTHON_GENERATOR "Compile fedex_plus_python" ON)
+option_with_default(SCL_CPP_GENERATOR "Compile fedex_plus" ON)
 
 # CMake derives much of its functionality from modules, typically
 # stored in one directory - let CMake know where to find them.
-SET(SCL_CMAKE_DIR "${SCL_SOURCE_DIR}/cmake")
+set(SCL_CMAKE_DIR "${SCL_SOURCE_DIR}/cmake")
 if(NOT IS_SUBBUILD)
-  SET(CMAKE_MODULE_PATH "${SCL_CMAKE_DIR};${CMAKE_MODULE_PATH}")
+  set(CMAKE_MODULE_PATH "${SCL_CMAKE_DIR};${CMAKE_MODULE_PATH}")
 else(NOT IS_SUBBUILD)
-  SET(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${SCL_CMAKE_DIR}")
+  set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${SCL_CMAKE_DIR}")
 endif(NOT IS_SUBBUILD)
 
-INCLUDE(${SCL_CMAKE_DIR}/SCL_Utils.cmake)
+include(${SCL_CMAKE_DIR}/SCL_Utils.cmake)
 
 # Save the current LC_ALL, LC_MESSAGES, and LANG environment variables and set them
 # to "C" so things like date output are as expected
-SET(_orig_lc_all      $ENV{LC_ALL})
-SET(_orig_lc_messages $ENV{LC_MESSAGES})
-SET(_orig_lang        $ENV{LANG})
-IF(_orig_lc_all)
-  SET(ENV{LC_ALL}      C)
-ENDIF(_orig_lc_all)
-IF(_orig_lc_messages)
-  SET(ENV{LC_MESSAGES} C)
-ENDIF(_orig_lc_messages)
-IF(_orig_lang)
-  SET(ENV{LANG}        C)
-ENDIF(_orig_lang)
+set(_orig_lc_all      $ENV{LC_ALL})
+set(_orig_lc_messages $ENV{LC_MESSAGES})
+set(_orig_lang        $ENV{LANG})
+if(_orig_lc_all)
+  set(ENV{LC_ALL}      C)
+endif(_orig_lc_all)
+if(_orig_lc_messages)
+  set(ENV{LC_MESSAGES} C)
+endif(_orig_lc_messages)
+if(_orig_lang)
+  set(ENV{LANG}        C)
+endif(_orig_lang)
 
 #---------------------------------------------------------------------
 # Testing option
-OPTION_WITH_DEFAULT( SCL_ENABLE_TESTING "Enable unittesting framework" OFF )
-IF(SCL_ENABLE_TESTING)
+option_with_default( SCL_ENABLE_TESTING "Enable unittesting framework" OFF )
+if(SCL_ENABLE_TESTING)
   if( NOT DEFINED SCL_BUILD_SCHEMAS )
     set( SCL_BUILD_SCHEMAS "ALL" ) #test all schemas, unless otherwise specified
   endif()
-  INCLUDE(CTest)
-  ENABLE_TESTING()
-ENDIF(SCL_ENABLE_TESTING)
+  include(CTest)
+  enable_testing()
+endif(SCL_ENABLE_TESTING)
 
 #---------------------------------------------------------------------
 # Coverage option
-OPTION_WITH_DEFAULT( SCL_ENABLE_COVERAGE "Enable code coverage test" OFF )
-IF(SCL_ENABLE_COVERAGE)
-  SET(SCL_ENABLE_TESTING ON CACHE BOOL "Testing enabled by coverage option" FORCE)
+option_with_default( SCL_ENABLE_COVERAGE "Enable code coverage test" OFF )
+if(SCL_ENABLE_COVERAGE)
+  set(SCL_ENABLE_TESTING ON CACHE BOOL "Testing enabled by coverage option" FORCE)
   # build static libs, better coverage report
-  SET(SCL_BUILD_SHARED_LIBS OFF CACHE BOOL "Build shared libs" FORCE )
-  SET(SCL_BUILD_STATIC_LIBS ON CACHE BOOL "Build static libs" FORCE )
-  SET(CMAKE_CXX_FLAGS_DEBUG "-O0 -g -fprofile-arcs -ftest-coverage" CACHE STRING "Extra compile flags required by code coverage" FORCE)
-  SET(CMAKE_C_FLAGS_DEBUG "-O0 -g -fprofile-arcs -ftest-coverage" CACHE STRING "Extra compile flags required by code coverage" FORCE)
-  SET(CMAKE_MODULE_LINKER_FLAGS_DEBUG "-fprofile-arcs -ftest-coverage" CACHE STRING "Extra linker flags required by code coverage" FORCE)
-  SET(SCL_BUILD_TYPE "Debug" CACHE STRING "Build type required by testing framework" FORCE)
-ENDIF(SCL_ENABLE_COVERAGE)
+  set(SCL_BUILD_SHARED_LIBS OFF CACHE BOOL "Build shared libs" FORCE )
+  set(SCL_BUILD_STATIC_LIBS ON CACHE BOOL "Build static libs" FORCE )
+  set(CMAKE_CXX_FLAGS_DEBUG "-O0 -g -fprofile-arcs -ftest-coverage" CACHE STRING "Extra compile flags required by code coverage" FORCE)
+  set(CMAKE_C_FLAGS_DEBUG "-O0 -g -fprofile-arcs -ftest-coverage" CACHE STRING "Extra compile flags required by code coverage" FORCE)
+  set(CMAKE_MODULE_LINKER_FLAGS_DEBUG "-fprofile-arcs -ftest-coverage" CACHE STRING "Extra linker flags required by code coverage" FORCE)
+  set(SCL_BUILD_TYPE "Debug" CACHE STRING "Build type required by testing framework" FORCE)
+endif(SCL_ENABLE_COVERAGE)
 
 #---------------------------------------------------------------------
 # The following logic is what allows binaries to run successfully in
@@ -157,28 +157,28 @@
 
 #-----------------------------------------------------------------------------
 # Output directories.
-IF(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
-  SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${SCL_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all libraries.")
-ENDIF(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
-IF(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
-  SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${SCL_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all archives.")
-ENDIF(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
-IF(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
-  SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${SCL_BINARY_DIR}/bin CACHE INTERNAL "Single output directory for building all executables.")
-ENDIF(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
+if(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
+  set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${SCL_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all libraries.")
+endif(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
+if(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
+  set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${SCL_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all archives.")
+endif(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
+if(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
+  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${SCL_BINARY_DIR}/bin CACHE INTERNAL "Single output directory for building all executables.")
+endif(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
 
-FOREACH(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
-  STRING(TOUPPER "${CFG_TYPE}" CFG_TYPE)
-  IF(NOT "CMAKE_LIBRARY_OUTPUT_DIRECTORY_${CFG_TYPE}")
-    SET("CMAKE_LIBRARY_OUTPUT_DIRECTORY_${CFG_TYPE}" ${SCL_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all libraries.")
-  ENDIF(NOT "CMAKE_LIBRARY_OUTPUT_DIRECTORY_${CFG_TYPE}")
-  IF(NOT "CMAKE_ARCHIVE_OUTPUT_DIRECTORY_${CFG_TYPE}")
-    SET("CMAKE_ARCHIVE_OUTPUT_DIRECTORY_${CFG_TYPE}" ${SCL_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all archives.")
-  ENDIF(NOT "CMAKE_ARCHIVE_OUTPUT_DIRECTORY_${CFG_TYPE}")
-  IF(NOT "CMAKE_RUNTIME_OUTPUT_DIRECTORY_${CFG_TYPE}")
-    SET("CMAKE_RUNTIME_OUTPUT_DIRECTORY_${CFG_TYPE}" ${SCL_BINARY_DIR}/bin CACHE INTERNAL "Single output directory for building all executables.")
-  ENDIF(NOT "CMAKE_RUNTIME_OUTPUT_DIRECTORY_${CFG_TYPE}")
-ENDFOREACH()
+foreach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
+  string(TOUPPER "${CFG_TYPE}" CFG_TYPE)
+  if(NOT "CMAKE_LIBRARY_OUTPUT_DIRECTORY_${CFG_TYPE}")
+    set("CMAKE_LIBRARY_OUTPUT_DIRECTORY_${CFG_TYPE}" ${SCL_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all libraries.")
+  endif(NOT "CMAKE_LIBRARY_OUTPUT_DIRECTORY_${CFG_TYPE}")
+  if(NOT "CMAKE_ARCHIVE_OUTPUT_DIRECTORY_${CFG_TYPE}")
+    set("CMAKE_ARCHIVE_OUTPUT_DIRECTORY_${CFG_TYPE}" ${SCL_BINARY_DIR}/lib CACHE INTERNAL "Single output directory for building all archives.")
+  endif(NOT "CMAKE_ARCHIVE_OUTPUT_DIRECTORY_${CFG_TYPE}")
+  if(NOT "CMAKE_RUNTIME_OUTPUT_DIRECTORY_${CFG_TYPE}")
+    set("CMAKE_RUNTIME_OUTPUT_DIRECTORY_${CFG_TYPE}" ${SCL_BINARY_DIR}/bin CACHE INTERNAL "Single output directory for building all executables.")
+  endif(NOT "CMAKE_RUNTIME_OUTPUT_DIRECTORY_${CFG_TYPE}")
+endforeach()
 
 
 #-----------------------------------------------------------------------------
@@ -188,25 +188,25 @@
 # for Windows.  Only do this if CMAKE_INSTALL_PREFIX hasn't been set
 # already, to try and allow parent builds (if any) some control.
 if(NOT SCL_IS_SUBBUILD)
-  IF(NOT WIN32)
-    IF (${CMAKE_BUILD_TYPE} MATCHES "Debug")
-      SET(SCL_INSTALL_PREFIX "${SCL_SOURCE_DIR}/../scl-install")
-    ELSE()
-      SET(SCL_INSTALL_PREFIX "/usr/local")
-    ENDIF()
-  ENDIF(NOT WIN32)
-  SET( SCL_INSTALL_PREFIX ${SCL_INSTALL_PREFIX} CACHE
+  if(NOT WIN32)
+    if (${CMAKE_BUILD_TYPE} MATCHES "Debug")
+      set(SCL_INSTALL_PREFIX "${SCL_SOURCE_DIR}/../scl-install")
+    else()
+      set(SCL_INSTALL_PREFIX "/usr/local")
+    endif()
+  endif(NOT WIN32)
+  set( SCL_INSTALL_PREFIX ${SCL_INSTALL_PREFIX} CACHE
     PATH "Install prefix prepended to target to create install location" )
-  SET( CMAKE_INSTALL_PREFIX ${SCL_INSTALL_PREFIX} CACHE INTERNAL "Prefix prepended to install directories if target destination is not absolute, immutable" FORCE )
+  set( CMAKE_INSTALL_PREFIX ${SCL_INSTALL_PREFIX} CACHE INTERNAL "Prefix prepended to install directories if target destination is not absolute, immutable" FORCE )
 endif(NOT SCL_IS_SUBBUILD)
 
-OPTION(SCL_BUILD_EXPRESS_ONLY "Only build express parser." OFF)
-MARK_AS_ADVANCED(SCL_BUILD_EXPRESS_ONLY)
+option(SCL_BUILD_EXPRESS_ONLY "Only build express parser." OFF)
+mark_as_advanced(SCL_BUILD_EXPRESS_ONLY)
 
 # Take the scl config file template as the starting point for 
 # scl_cf.h.in - scripts may need to append to the template, so
 # it is read into memory initially.
-SET(CONFIG_H_FILE ${SCL_BINARY_DIR}/include/scl_cf.h.in)
+set(CONFIG_H_FILE ${SCL_BINARY_DIR}/include/scl_cf.h.in)
 set_source_files_properties(${CONFIG_H_FILE} PROPERTIES GENERATED TRUE)
 set(CMAKE_CURRENT_PROJECT SCL)
 define_property(GLOBAL PROPERTY SCL_CONFIG_H_CONTENTS BRIEF_DOCS "config.h.in contents" FULL_DOCS "config.h.in contents for SCL project")
@@ -220,7 +220,7 @@
   endmacro(CONFIG_H_APPEND NEW_CONTENTS)
 endif(NOT COMMAND CONFIG_H_APPEND)
 file(READ ${SCL_SOURCE_DIR}/include/scl_cf_cmake.h.in CONFIG_H_FILE_CONTENTS)
-CONFIG_H_APPEND(SCL "${CONFIG_H_FILE_CONTENTS}")
+config_h_append(SCL "${CONFIG_H_FILE_CONTENTS}")
 
 # The Express parser uses the tools Perplex, RE2C and Lemon to generate code
 # from higher level inputs.  Depending on available tools and options, the
@@ -281,28 +281,28 @@
 	set(SCL_GENERATE_LP_SOURCES 0)
 endif(NOT "${SCL_GENERATE_LEXER_PARSER}" STREQUAL "OFF")
 
-INCLUDE(CheckLibraryExists)
-INCLUDE(CheckIncludeFile)
-INCLUDE(CheckFunctionExists)
-INCLUDE(CheckTypeSize)
+include(CheckLibraryExists)
+include(CheckIncludeFile)
+include(CheckFunctionExists)
+include(CheckTypeSize)
 
-CHECK_INCLUDE_FILE(ndir.h HAVE_NDIR_H)
-CHECK_INCLUDE_FILE(stdarg.h HAVE_STDARG_H)
-CHECK_INCLUDE_FILE(sys/stat.h HAVE_SYS_STAT_H)
-CHECK_INCLUDE_FILE(sys/param.h HAVE_SYS_PARAM_H)
-CHECK_INCLUDE_FILE(sysent.h HAVE_SYSENT_H)
-CHECK_INCLUDE_FILE(unistd.h HAVE_UNISTD_H)
-CHECK_INCLUDE_FILE(dirent.h HAVE_DIRENT_H)
-CHECK_INCLUDE_FILE(stdbool.h HAVE_STDBOOL_H)
-CHECK_INCLUDE_FILE(process.h HAVE_PROCESS_H)
-CHECK_INCLUDE_FILE(io.h HAVE_IO_H)
+check_include_file(ndir.h HAVE_NDIR_H)
+check_include_file(stdarg.h HAVE_STDARG_H)
+check_include_file(sys/stat.h HAVE_SYS_STAT_H)
+check_include_file(sys/param.h HAVE_SYS_PARAM_H)
+check_include_file(sysent.h HAVE_SYSENT_H)
+check_include_file(unistd.h HAVE_UNISTD_H)
+check_include_file(dirent.h HAVE_DIRENT_H)
+check_include_file(stdbool.h HAVE_STDBOOL_H)
+check_include_file(process.h HAVE_PROCESS_H)
+check_include_file(io.h HAVE_IO_H)
 
-CHECK_FUNCTION_EXISTS(abs HAVE_ABS)
-CHECK_FUNCTION_EXISTS(memcpy HAVE_MEMCPY)
-CHECK_FUNCTION_EXISTS(memmove HAVE_MEMMOVE)
-CHECK_FUNCTION_EXISTS(getopt HAVE_GETOPT)
+check_function_exists(abs HAVE_ABS)
+check_function_exists(memcpy HAVE_MEMCPY)
+check_function_exists(memmove HAVE_MEMMOVE)
+check_function_exists(getopt HAVE_GETOPT)
 
-CHECK_TYPE_SIZE("ssize_t" SSIZE_T)
+check_type_size("ssize_t" SSIZE_T)
 
 # Now that all the tests are done, configure the scl_cf.h file:
 get_property(CONFIG_H_FILE_CONTENTS GLOBAL PROPERTY SCL_CONFIG_H_CONTENTS)
@@ -342,21 +342,21 @@
   ${SCL_BINARY_DIR}/include
   )
 
-ADD_SUBDIRECTORY(src/base)
-ADD_SUBDIRECTORY(src/express)
-ADD_SUBDIRECTORY(src/exppp)
-ADD_SUBDIRECTORY(src/fedex_plus)
-ADD_SUBDIRECTORY(src/fedex_python)
-ADD_SUBDIRECTORY(src/clstepcore)
-ADD_SUBDIRECTORY(src/cleditor)
-ADD_SUBDIRECTORY(src/cldai)
-ADD_SUBDIRECTORY(src/clutils)
-ADD_SUBDIRECTORY(include)
-ADD_SUBDIRECTORY(data)
-IF(ENABLE_TESTING)
-  ADD_SUBDIRECTORY( test )
-ENDIF(ENABLE_TESTING)
-ADD_SUBDIRECTORY(doc)
+add_subdirectory(src/base)
+add_subdirectory(src/express)
+add_subdirectory(src/exppp)
+add_subdirectory(src/fedex_plus)
+add_subdirectory(src/fedex_python)
+add_subdirectory(src/clstepcore)
+add_subdirectory(src/cleditor)
+add_subdirectory(src/cldai)
+add_subdirectory(src/clutils)
+add_subdirectory(include)
+add_subdirectory(data)
+if(ENABLE_TESTING)
+  add_subdirectory( test )
+endif(ENABLE_TESTING)
+add_subdirectory(doc)
 
 # this is for testing - 'make core' builds everything that isn't generated
 add_custom_target( core )
@@ -368,15 +368,15 @@
   # $make package                                                               #
   ###############################################################################
 
-  SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "STEPcode")
-  SET(CPACK_SET_DESTDIR "ON")
+  set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "STEPcode")
+  set(CPACK_SET_DESTDIR "ON")
 
-  SET(CPACK_PACKAGE_VERSION_MAJOR ${SCL_VERSION_MAJOR})
-  SET(CPACK_PACKAGE_VERSION_MINOR ${SCL_VERSION_MINOR})
-  SET(CPACK_PACKAGE_NAME SCL )
+  set(CPACK_PACKAGE_VERSION_MAJOR ${SCL_VERSION_MAJOR})
+  set(CPACK_PACKAGE_VERSION_MINOR ${SCL_VERSION_MINOR})
+  set(CPACK_PACKAGE_NAME SCL )
 
-  SET(CPACK_PACKAGE_CONTACT "SCL Developers <scl-dev@googlegroups.com>")
-  INCLUDE(CPack)
+  set(CPACK_PACKAGE_CONTACT "SCL Developers <scl-dev@googlegroups.com>")
+  include(CPack)
 
   ########################################################################################
   # Uninstall code                                                                       #
Index: src/other/step/test/CMakeLists.txt
===================================================================
--- src/other/step/test/CMakeLists.txt	(revision 54114)
+++ src/other/step/test/CMakeLists.txt	(working copy)
@@ -2,14 +2,14 @@
 #
 # Adding unittest for unitary schemas
 #
-FILE(GLOB UNITARY_SCHEMAS "${CMAKE_CURRENT_SOURCE_DIR}/unitary_schemas/*.exp")
-FOREACH(UNITARY_SCHEMA ${UNITARY_SCHEMAS})
-  GET_FILENAME_COMPONENT(SCHEMA_NAME ${UNITARY_SCHEMA} NAME_WE)
+file(GLOB UNITARY_SCHEMAS "${CMAKE_CURRENT_SOURCE_DIR}/unitary_schemas/*.exp")
+foreach(UNITARY_SCHEMA ${UNITARY_SCHEMAS})
+  get_filename_component(SCHEMA_NAME ${UNITARY_SCHEMA} NAME_WE)
   # setting test_name
-  SET(TEST_NAME test${SCHEMA_NAME})
+  set(TEST_NAME test${SCHEMA_NAME})
   # add test
-  ADD_TEST(${TEST_NAME} ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/check-express ${UNITARY_SCHEMA})
+  add_test(${TEST_NAME} ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/check-express ${UNITARY_SCHEMA})
   set_tests_properties( ${TEST_NAME} PROPERTIES LABELS unitary_schemas )
-ENDFOREACH(UNITARY_SCHEMA ${UNITARY_SCHEMAS})
+endforeach(UNITARY_SCHEMA ${UNITARY_SCHEMAS})
 
 add_subdirectory(p21)
Index: src/other/step/test/p21/CMakeLists.txt
===================================================================
--- src/other/step/test/p21/CMakeLists.txt	(revision 54114)
+++ src/other/step/test/p21/CMakeLists.txt	(working copy)
@@ -1,4 +1,4 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
+cmake_minimum_required(VERSION 2.8)
 
 #test part 21 files
 #currently, the only tests are for the schema name
@@ -6,8 +6,8 @@
 set( schema_name_tests_head "
 ISO-10303-21;
 HEADER;
-FILE_DESCRIPTION(('SCL test file'),'2;1');
-FILE_NAME('test.stp','2011-11-29T',('mp'),(''),'0','1','2');
+file_description(('SCL test file'),'2;1');
+file_name('test.stp','2011-11-29T',('mp'),(''),'0','1','2');
 ")
 set( schema_name_tests_tail "
 ENDSEC;
Index: src/other/step/cmake/FindRE2C.cmake
===================================================================
--- src/other/step/cmake/FindRE2C.cmake	(revision 54114)
+++ src/other/step/cmake/FindRE2C.cmake	(working copy)
@@ -7,4 +7,4 @@
 mark_as_advanced(RE2C_EXECUTABLE)
 
 include(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(RE2C DEFAULT_MSG RE2C_EXECUTABLE)
+find_package_handle_standard_args(RE2C DEFAULT_MSG RE2C_EXECUTABLE)
Index: src/other/step/cmake/Generated_Source_Utils.cmake
===================================================================
--- src/other/step/cmake/Generated_Source_Utils.cmake	(revision 54114)
+++ src/other/step/cmake/Generated_Source_Utils.cmake	(working copy)
@@ -29,11 +29,11 @@
     if(NOT EXISTS ${filefullname})
       message(FATAL_ERROR "Attempted to verify non-existant file ${filefullname}")
     endif(NOT EXISTS ${filefullname})
-    FILEVAR(${filename} filevar)
+    filevar(${filename} filevar)
     if(NOT baseline_${filevar}_md5)
       message(FATAL_ERROR "No baseline MD5 available for ${filename} - baseline_${filevar}_md5 is not defined")
     endif(NOT baseline_${filevar}_md5)
-    MD5(${filefullname} ${filevar}_md5)
+    md5(${filefullname} ${filevar}_md5)
     if(NOT "${${filevar}_md5}" STREQUAL "${baseline_${filevar}_md5}")
       if("${warn}" STREQUAL "1")
 	message("\n${filename} differs from baseline: baseline md5 hash is ${baseline_${filevar}_md5} and current hash is ${${filevar}_md5}\n")
@@ -61,8 +61,8 @@
     if(NOT EXISTS ${filefullname})
       message(FATAL_ERROR "Attempted to get MD5 sum of non-existant file ${filefullname}")
     endif(NOT EXISTS ${filefullname})
-    FILEVAR(${filename} filevar)
-    MD5(${filefullname} ${filevar}_md5)
+    filevar(${filename} filevar)
+    md5(${filefullname} ${filevar}_md5)
     file(APPEND ${outfile} "set(baseline_${filevar}_md5 ${${filevar}_md5})\n")
   endforeach(fileitem ${filelist})
 endmacro(WRITE_MD5_SUMS)
Index: src/other/step/cmake/FindPERPLEX.cmake
===================================================================
--- src/other/step/cmake/FindPERPLEX.cmake	(revision 54114)
+++ src/other/step/cmake/FindPERPLEX.cmake	(working copy)
@@ -65,7 +65,7 @@
   endif(EXISTS /usr/share/perplex/perplex_template.c AND NOT PERPLEX_TEMPLATE)
 endif(PERPLEX_EXECUTABLE AND NOT PERPLEX_TEMPLATE)
 include(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(PERPLEX DEFAULT_MSG PERPLEX_EXECUTABLE PERPLEX_TEMPLATE)
+find_package_handle_standard_args(PERPLEX DEFAULT_MSG PERPLEX_EXECUTABLE PERPLEX_TEMPLATE)
 mark_as_advanced(PERPLEX_TEMPLATE)
 
 #============================================================
